<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFLineProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFLineProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFLineProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinRoundProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFNoFillProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFLineProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFLineProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFLineProperties" class="title">Class XDDFLineProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFLineProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFLineProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#XDDFLineProperties--">XDDFLineProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#XDDFLineProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties-">XDDFLineProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#addDashStop--">addDashStop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#countDashStops--">countDashStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/CompoundLine.html"
                                        title="enum in org.apache.poi.xddf.usermodel">CompoundLine</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getCompoundLine--">getCompoundLine</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getDashStop-int-">getDashStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getDashStops--">getDashStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getExtensionList--">getExtensionList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getFillProperties--">getFillProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getHeadEnd--">getHeadEnd</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/LineCap.html"
                                        title="enum in org.apache.poi.xddf.usermodel">LineCap</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getLineCap--">getLineCap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFLineJoinProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getLineJoinProperties--">getLineJoinProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PenAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PenAlignment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getPenAlignment--">getPenAlignment</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetLineDash</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getPresetDash--">getPresetDash</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getTailEnd--">getTailEnd</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#insertDashStop-int-">insertDashStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#removeDashStop-int-">removeDashStop</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setCompoundLine-org.apache.poi.xddf.usermodel.CompoundLine-">setCompoundLine</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/CompoundLine.html"
                                        title="enum in org.apache.poi.xddf.usermodel">CompoundLine</a>&nbsp;compound)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">setExtensionList</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">setFillProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setHeadEnd-org.apache.poi.xddf.usermodel.XDDFLineEndProperties-">setHeadEnd</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setLineCap-org.apache.poi.xddf.usermodel.LineCap-">setLineCap</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/LineCap.html"
                                        title="enum in org.apache.poi.xddf.usermodel">LineCap</a>&nbsp;cap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setLineJoinProperties-org.apache.poi.xddf.usermodel.XDDFLineJoinProperties-">setLineJoinProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFLineJoinProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setPenAlignment-org.apache.poi.xddf.usermodel.PenAlignment-">setPenAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PenAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PenAlignment</a>&nbsp;alignment)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setPresetDash-org.apache.poi.xddf.usermodel.XDDFPresetLineDash-">setPresetDash</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetLineDash</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setTailEnd-org.apache.poi.xddf.usermodel.XDDFLineEndProperties-">setTailEnd</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html#setWidth-java.lang.Integer-">setWidth</a></span>(java.lang.Integer&nbsp;width)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFLineProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFLineProperties</h4>
                                <pre>public&nbsp;XDDFLineProperties()</pre>
                            </li>
                        </ul>
                        <a name="XDDFLineProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFLineProperties</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XDDFLineProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTLineProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getPenAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPenAlignment</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PenAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PenAlignment</a>&nbsp;getPenAlignment()</pre>
                            </li>
                        </ul>
                        <a name="setPenAlignment-org.apache.poi.xddf.usermodel.PenAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPenAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setPenAlignment(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PenAlignment.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PenAlignment</a>&nbsp;alignment)</pre>
                            </li>
                        </ul>
                        <a name="getLineCap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineCap</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/LineCap.html"
                                                    title="enum in org.apache.poi.xddf.usermodel">LineCap</a>&nbsp;getLineCap()</pre>
                            </li>
                        </ul>
                        <a name="setLineCap-org.apache.poi.xddf.usermodel.LineCap-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineCap</h4>
                                <pre>public&nbsp;void&nbsp;setLineCap(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/LineCap.html"
                                        title="enum in org.apache.poi.xddf.usermodel">LineCap</a>&nbsp;cap)</pre>
                            </li>
                        </ul>
                        <a name="getCompoundLine--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCompoundLine</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/CompoundLine.html"
                                        title="enum in org.apache.poi.xddf.usermodel">CompoundLine</a>&nbsp;getCompoundLine()</pre>
                            </li>
                        </ul>
                        <a name="setCompoundLine-org.apache.poi.xddf.usermodel.CompoundLine-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCompoundLine</h4>
                                <pre>public&nbsp;void&nbsp;setCompoundLine(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/CompoundLine.html"
                                        title="enum in org.apache.poi.xddf.usermodel">CompoundLine</a>&nbsp;compound)</pre>
                            </li>
                        </ul>
                        <a name="addDashStop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addDashStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a>&nbsp;addDashStop()</pre>
                            </li>
                        </ul>
                        <a name="insertDashStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertDashStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a>&nbsp;insertDashStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeDashStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeDashStop</h4>
                                <pre>public&nbsp;void&nbsp;removeDashStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getDashStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDashStop</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a>&nbsp;getDashStop(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getDashStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDashStops</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFDashStop</a>&gt;&nbsp;getDashStops()</pre>
                            </li>
                        </ul>
                        <a name="countDashStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countDashStops</h4>
                                <pre>public&nbsp;int&nbsp;countDashStops()</pre>
                            </li>
                        </ul>
                        <a name="getPresetDash--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPresetDash</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetLineDash</a>&nbsp;getPresetDash()</pre>
                            </li>
                        </ul>
                        <a name="setPresetDash-org.apache.poi.xddf.usermodel.XDDFPresetLineDash-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPresetDash</h4>
                                <pre>public&nbsp;void&nbsp;setPresetDash(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPresetLineDash.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPresetLineDash</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getExtensionList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtensionList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;getExtensionList()</pre>
                            </li>
                        </ul>
                        <a name="setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExtensionList</h4>
                                <pre>public&nbsp;void&nbsp;setExtensionList(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                        <a name="getFillProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;getFillProperties()</pre>
                            </li>
                        </ul>
                        <a name="setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillProperties</h4>
                                <pre>public&nbsp;void&nbsp;setFillProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLineJoinProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineJoinProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFLineJoinProperties</a>&nbsp;getLineJoinProperties()</pre>
                            </li>
                        </ul>
                        <a name="setLineJoinProperties-org.apache.poi.xddf.usermodel.XDDFLineJoinProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineJoinProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLineJoinProperties(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFLineJoinProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getHeadEnd--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeadEnd</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;getHeadEnd()</pre>
                            </li>
                        </ul>
                        <a name="setHeadEnd-org.apache.poi.xddf.usermodel.XDDFLineEndProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeadEnd</h4>
                                <pre>public&nbsp;void&nbsp;setHeadEnd(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getTailEnd--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTailEnd</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;getTailEnd()</pre>
                            </li>
                        </ul>
                        <a name="setTailEnd-org.apache.poi.xddf.usermodel.XDDFLineEndProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTailEnd</h4>
                                <pre>public&nbsp;void&nbsp;setTailEnd(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineEndProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineEndProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getWidth()</pre>
                            </li>
                        </ul>
                        <a name="setWidth-java.lang.Integer-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setWidth</h4>
                                <pre>public&nbsp;void&nbsp;setWidth(java.lang.Integer&nbsp;width)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFLineProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFLineJoinRoundProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFNoFillProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFLineProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFLineProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
